org.apache.hadoop.yarn.client

## Class ClientRMProxy<T>

- java.lang.Object
- - org.apache.hadoop.yarn.client.RMProxy<T>
  - - org.apache.hadoop.yarn.client.ClientRMProxy<T>

-     @InterfaceAudience.Public
       @InterfaceStability.Stable
      public class ClientRMProxy<T>
      extends RMProxy<T>

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `checkAllowedProtocols(Class<?> protocol)` Verify the passed protocol is supported.
    `static <T> T` | `createRMProxy(org.apache.hadoop.conf.Configuration configuration, Class<T> protocol)` Create a proxy to the ResourceManager for the specified protocol.
    `static org.apache.hadoop.io.Text` | `getAMRMTokenService(org.apache.hadoop.conf.Configuration conf)`
    `InetSocketAddress` | `getRMAddress(org.apache.hadoop.yarn.conf.YarnConfiguration conf, Class<?> protocol)` Get the ResourceManager address from the provided Configuration for the given protocol.
    `static org.apache.hadoop.io.Text` | `getRMDelegationTokenService(org.apache.hadoop.conf.Configuration conf)` Get the token service name to be used for RMDelegationToken.
    `static org.apache.hadoop.io.Text` | `getTokenService(org.apache.hadoop.conf.Configuration conf, String address, String defaultAddr, int defaultPort)`

    - ### Methods inherited from class org.apache.hadoop.yarn.client.RMProxy

      `createRetryPolicy, createRetryPolicy, createRMProxy, createRMProxy, getProxy`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### createRMProxy

          public static <T> T createRMProxy(org.apache.hadoop.conf.Configuration configuration,
                                            Class<T> protocol)
                                     throws IOException

      Create a proxy to the ResourceManager for the specified protocol.
      Type Parameters:
        `T` - Type of proxy.
      Parameters:
        `configuration` - Configuration with all the required information.
        `protocol` - Client protocol for which proxy is being requested.
      Returns:
        Proxy to the ResourceManager for the specified client protocol.
      Throws:
        `IOException`

    - #### getRMAddress

          @InterfaceAudience.Private
          public InetSocketAddress getRMAddress(org.apache.hadoop.yarn.conf.YarnConfiguration conf,
                                                                           Class<?> protocol)
                                                                    throws IOException

      Description copied from class: `RMProxy`
      Get the ResourceManager address from the provided Configuration for the given protocol.
      Overrides:
        `getRMAddress` in class `RMProxy<T>`
      Throws:
        `IOException`

    - #### checkAllowedProtocols

          @InterfaceAudience.Private
          public void checkAllowedProtocols(Class<?> protocol)

      Description copied from class: `RMProxy`
      Verify the passed protocol is supported.
      Overrides:
        `checkAllowedProtocols` in class `RMProxy<T>`

    - #### getRMDelegationTokenService

          @InterfaceStability.Unstable
          public static org.apache.hadoop.io.Text getRMDelegationTokenService(org.apache.hadoop.conf.Configuration conf)

      Get the token service name to be used for RMDelegationToken. Depending on whether HA is enabled or not, this method generates the appropriate service name as a comma-separated list of service addresses.
      Parameters:
        `conf` - Configuration corresponding to the cluster we need the RMDelegationToken for
      Returns:
        - Service name for RMDelegationToken

    - #### getAMRMTokenService

          @InterfaceStability.Unstable
          public static org.apache.hadoop.io.Text getAMRMTokenService(org.apache.hadoop.conf.Configuration conf)

    - #### getTokenService

          @InterfaceStability.Unstable
          public static org.apache.hadoop.io.Text getTokenService(org.apache.hadoop.conf.Configuration conf,
                                                                                               String address,
                                                                                               String defaultAddr,
                                                                                               int defaultPort)

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.